﻿@media print {
  @page {
    size: landscape;
  }
  .calendar-controls {
    display: none;
  }
  .calendar-column {
    display: block !important;
  }
  .calendar-list {
    display: none;
  }
  .calendar .line-item a {
    text-decoration: none;
  }
}
.billing-period {
  font-size: 13px;
}

.time-billable {
  color: green;
}

.time-training {
  color: blue;
}

.calendar {
  display: grid;
  width: 100%;
  grid-auto-rows: auto;
  grid-template-columns: 75px 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  overflow: auto;
}
.calendar .cell {
  border-right: 1px solid #ADADAD;
  font-size: 11px;
}
.calendar .cell.selected-right {
  border-right: 1px solid #0090FF;
}
.calendar .line-item {
  border-top: 1px dotted #DBDBDB;
  padding: 1px 5px;
  color: inherit;
}
.calendar .line-item .time-billable {
  color: green;
  font-size: 0.75rem;
  font-weight: bold;
}
.calendar .line-item .time-training {
  color: blue;
}
.calendar .line-item .time-scheduled {
  color: orange;
}
.calendar .line-item a {
  color: inherit;
}
.calendar .line-item.invalid {
  background-color: rgb(166, 168, 179);
}
.calendar .line-item.hover-row {
  background-color: rgba(166, 168, 179, 0.12);
}
.calendar .line-item.hover-self {
  background-color: rgba(166, 168, 179, 0.25);
}
.calendar .line-item:hover {
  cursor: pointer;
}
.calendar .line-item.selected {
  border-right: 1px solid #0090FF;
  background-color: #F1F9FF;
}
.calendar .line-item.selected.hover-self {
  background-color: #CAE8FF;
}
.calendar .line-legend {
  text-align: right;
  padding: 1px;
}
.calendar .holiday {
  position: relative;
  margin-left: 50%;
  left: -10px;
}
.calendar .date-label {
  border-top: 1px solid #ADADAD;
  border-right: 1px solid #ADADAD;
  letter-spacing: 1px;
  font-size: 11px;
  font-weight: bold;
  text-align: right;
  padding-right: 10px;
  padding-top: 5px;
}
.calendar .date-label.today {
  background-color: #FF9A9A;
}
.calendar .date-label.selected {
  border-top: 1px solid #0090FF;
  border-right: 1px solid #0090FF;
}
.calendar .date-label.selected-right {
  border-right: 1px solid #0090FF;
}
.calendar .billing-period {
  margin-left: 20px;
  margin-top: 3px;
  font-size: 10px;
  color: #ccc;
}
.calendar .test-hover:hover {
  cursor: pointer;
}
.calendar .time-entry-allocation-deficit {
  text-align: right;
  font-size: 9px;
  padding: 3px 3px 0 0;
  color: red;
  /*background-color: rgba(255, 0, 0, 0.10);*/
}
.calendar .day-name {
  border-bottom: 1px solid rgba(166, 168, 179, 0.12);
  border-right: 1px solid rgba(166, 168, 179, 0.12);
  padding: 5px 0px;
  box-sizing: border-box;
  color: black;
  position: relative;
  font-size: 12px;
  text-transform: uppercase;
  color: black;
  text-align: center;
  line-height: 30px;
  font-weight: 500;
}

.selected-date-header {
  border-bottom: 2px solid #0090FF;
  color: #0090FF;
}

.calendar-list .time-entry {
  text-align: left;
  padding: 0.375rem 0;
  border-bottom: 1px dotted #ccc;
}
